Skip to navigation

Get Location by ID

Get a single Location by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

location_idstringRequired
ID of the Location.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
creatorobject or nullOptional
schemaFieldslist of objects or nullOptional
allowNonLocationChildrenbooleanOptional
Whether this location can store plates, boxes, and containers.
allowedInventorySchemaslist of objectsOptional
The plate, box, and container schemas that can be stored in this location. If allowsNonLocationChildren is true and this list is empty, all schemas are allowed.
archiveReasonstring or nullOptional
archivedbooleanOptional
availableCapacityinteger or nullOptional
The number of available positions in this location. Null if totalCapacity is not set.
barcodestring or nullOptional
createdAtstring or nullOptional
idstringOptional
modifiedAtstring or nullOptional
namestring or nullOptional
occupiedCapacityinteger or nullOptional
The number of plates, boxes, and containers currently in this location. Null if totalCapacity is not set.
parentStorageobject or nullOptional
schemaobject or nullOptional
totalCapacityinteger or nullOptional

The total capacity of this location (i.e. how many plates, boxes, and containers it can store). If null, capacity is not limited.

validationStatusenumOptional
Whether this location is passing all validation checks.
Allowed values:

Errors

400
Location Get Request Bad Request Error
403
Location Get Request Forbidden Error
404
Location Get Request Not Found Error
429
Location Get Request Too Many Requests Error
500
Location Get Request Internal Server Error